RRDFLUSHCACHED(1)

NAME
rrdflushcached - Flush the values for a specific RRD file from memory.

SYNOPSIS
rrdtool flushcached [--daemon|-d address] filename [filename ...]

DESCRIPTION
The flushcached function connects to rrdcached, the RRD caching daemon, and issues a "flush" command for the given files. The daemon will put the files to the head of the update queue so they are written "soon". The status will be returned only after the files' pending updates have been written to disk.

filename
    The name(s) of the RRD file(s) that are to be written to disk.

--daemon|-d address
    Address of the rrdcached daemon. If not specified, the RRDCACHED_ADDRESS environment variable must be set (see below). For a list of accepted formats, see the -l option in the rrdcached manual.

     rrdtool flushcached --daemon unix:/var/run/rrdcached.sock /var/lib/rrd/foo.rrd

ENVIRONMENT VARIABLES
The following environment variables may be used to change the behavior of "rrdtool flushcached":

RRDCACHED_ADDRESS
    If this environment variable is set it will have the same effect as specifying the "--daemon" option on the command line. If both are present, the command line argument takes precedence.

AUTHOR
Florian Forster <octo at verplant.org>